# KubeGraph Python Client

This is the official Python client library for [KubeGraph](https://github.com/ulagbulag/OpenARK/tree/master/templates/kubegraph), a service that facilitates the collection and distribution of real-time `network graph` information in a cloud-native environment.
A `network graph` refers to a data structure that can be described in terms of nodes and edges.
This repository enables access to KubeGraph services using Python, allowing users to receive network graph information and consume it within various data processing and machine learning frameworks, including Apache Arrow, Polars, and PyTorch. It offers robust and flexible compatibility options.

KubeGraph extracts and stores data in the form of nodes or edges from multiple data sources such as Kubernetes, [OpenARK](https://github.com/ulagbulag/OpenARK), and Prometheus, enabling users to tailor data retrieval and storage to their needs.
